Bug 6057 - XMLTokenizer does not parse incrementally as it should.
Summary: XMLTokenizer does not parse incrementally as it should.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Major
Assignee: Eric Seidel (no email)
URL:
Keywords:
Depends on:
Blocks: 6058
  Show dependency treegraph
 
Reported: 2005-12-12 23:23 PST by Eric Seidel (no email)
Modified: 2019-02-06 09:04 PST (History)
1 user (show)

See Also:


Attachments
fixes the xml parser to parse incremental (accounting for the xslt fallout) (21.45 KB, patch)
2006-02-12 22:09 PST, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
Fixes incremental xml parsing in all cases (includes test results and ChangeLog) (29.99 KB, patch)
2006-02-14 03:13 PST, Eric Seidel (no email)
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2005-12-12 23:23:37 PST
XMLTokenizer does not parse incrementally as it should.

Currently it builds everything up and then does one big parse in finish().  This is bad for lots of reasons.  
One of them being that it completely kills performance of large files.

Once this is fixed, we'll need to look into running <script> tags as we parse them, instead of all at once at 
the end.
Comment 1 Eric Seidel (no email) 2006-02-12 22:09:50 PST
Created attachment 6451 [details]
fixes the xml parser to parse incremental (accounting for the xslt fallout)

This patch does a few things:
1.  removes (unused) onHold support from Tokenizer
2.  makes the xml parser parse incrementally.
3.  adds serialization of DTDs for xml documents (I added this in my first attempts at fixing xslt)
4. Fixes xslt support to no longer depend on synchronous parsing.
Comment 2 Eric Seidel (no email) 2006-02-14 03:13:30 PST
Created attachment 6479 [details]
Fixes incremental xml parsing in all cases (includes test results and ChangeLog)
Comment 3 Darin Adler 2006-02-14 13:14:24 PST
Comment on attachment 6479 [details]
Fixes incremental xml parsing in all cases (includes test results and ChangeLog)

I gave Eric a few comments in person, but none that seem to block landing this as-is.

r=me

(Eliminate XSLStyleSheetImpl::setDocument, write test for bug fix in DocumentImpl::recalcStyleSelector that affects recursive transform with CSS style sheets.)
Comment 4 Lucas Forschler 2019-02-06 09:04:12 PST
Mass moving XML DOM bugs to the "DOM" Component.